import { OnInit, OnDestroy, ElementRef, Renderer2, OnChanges, SimpleChanges } from "@angular/core";
export declare class ParamsContext {
    [key: string]: any;
}
export declare class ProductOffDirective implements OnChanges, OnInit, OnDestroy {
    private document;
    private elementRef;
    private renderer;
    private product;
    private classStr;
    private customMessageStr;
    set ecProductOff(value: any);
    set classStrSpacing(value: any);
    set customMessage(value: string);
    constructor(document: any, elementRef: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    hasDiscount: (product: any) => string | number;
    generateDiscount: (price: any, saleprice: any) => number;
    ngOnChanges(changes: SimpleChanges): void;
    createImage: (discount: any) => any;
    ngOnDestroy(): void;
}
